// pages/login/index.js
import {
    doLogin
} from '../../utils/api/api'
const app = getApp();
Page({

    /**
     * 页面的初始数据
     */
    data: {
        StatusBar: app.globalData.StatusBar, //胶囊按钮位置
        CustomBar: app.globalData.CustomBar,
        username: '',
        password: '',
        adminId: null,
        open: false, //默认不显示密码
        focus: false, //是否获取焦点
    },
    getVal(e) {
        let val = e.detail.value
        let type = e.target.dataset.type
        this.setData({
            [type]: val
        })
    },
    switch () {
        this.setData({
            open: !this.data.open
        })
    },
    goLogin() {
        wx.login({
            success: res => {
                wx.setStorageSync('wxCode', res.code)
            }
        })
        let {
            username,
            password,
            adminId,
        } = this.data
        let isVerify = this.verifyFun(username, password)
        if (!isVerify) {
            wx.showToast({
                title: '请填写完整',
                icon: 'none'
            })
            return
        }
        // adminId=2
        if (!adminId) {
            wx.showToast({
                title: '请重新扫码进入',
                icon: 'none'
            })
            return
        }
        let data = {
            adminId,
            password,
            username,
            code: wx.getStorageSync('wxCode'),
        }
        wx.requestSubscribeMessage({
            tmplIds: ['w7cy1am3DS8BF31uUDoMKfruKWQXT0ckhALzyUdvweg', 'mJs6TXjIFuwgPu2JOEIpu3lO9ym9rnai-schUPuLuok'],
            success(res) {
                wx.showLoading({
                    title: '登录中',
                })
                doLogin(data).then(res => {
                    wx.hideLoading()
                    wx.setStorageSync('userInfo', res.data)
                    wx.showToast({
                        title: '登录成功',
                        icon: 'none',
                        duration: 800,
                        mask: true,
                        success: function () {
                            setTimeout(function () {
                                wx.switchTab({
                                    url: '/pages/home/home',
                                })
                            }, 800)
                        }
                    })
                }).catch(err => {
                    wx.hideLoading()
                })
            }
        })

    },
    verifyFun(username, password) {
        if (!username) {
            return false
        } else if (!password) {
            return false
        } else {
            return true
        }
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.data.adminId = wx.getStorageSync('adminId')
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})